Saltar al contenido

Get an account membership role

Módulo Identity

GET/account-membership-roles/{id}accountMembershipRoles.get

An account role held through an account membership. Returns one account membership role with its `ETag`. A account membership role the caller may not see returns 404.

  • Requiere la capacidad me.account.write.
  • Alcances de OAuth: me.
  • Estados de error: 400, 401, 404, 429. Los errores son detalles de problema RFC 9457.

Parámetros de ruta y de consulta

accountMembershipRoles.get: Parámetros de ruta y de consulta
CampoTipoObligatorioDescripción
idstring (uuid)SíIdentifier of the account membership role.
fieldsFieldsNoSparse fieldset: a comma-separated list of top-level fields to return. `id` is always returned.Restricciones: pattern ^[a-z_][a-z0-9_]*(,[a-z_][a-z0-9_]*)*$

Respuesta 200: AccountMembershipRole

accountMembershipRoles.get: AccountMembershipRole
CampoTipoObligatorioDescripción
idstring (uuid)SíIdentifier of the account membership role.
created_atstring (date-time)SíWhen the row was created.
updated_atstring (date-time)SíWhen the row was last updated.
account_membership_idstring (uuid)SíIdentifier of the account membership.
account_roleAccountRoleSíRole inside an external account.Restricciones: one of "Account Owner", "Account Admin", "Account Finance", "Account Member"
granted_bystring (uuid) | nullSíIdentifier of the person who granted the role; null for the creator's own Account Owner role.
{
  "id": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
  "created_at": "2026-10-08T14:30:00Z",
  "updated_at": "2026-10-08T14:30:00Z",
  "account_membership_id": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f",
  "account_role": "Account Finance",
  "granted_by": "0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f"
}

Ejemplos de código

curl -X GET "$XOS_BASE_URL/account-membership-roles/0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f" \
  -H "Authorization: Bearer $XOS_API_KEY"
const { data, etag } = await xos.accountMembershipRoles.get("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f");
response = xos.account_membership_roles.get("0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f")
xos account-membership-roles get 0192f1e2-7c3a-7b4d-9e8f-1a2b3c4d5e6f